---
lang: en
title: 'API docs: context.interceptororkey'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.interceptororkey.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InterceptorOrKey](./context.interceptororkey.md)

## InterceptorOrKey type

Interceptor function or binding key that can be used as parameters for `@intercept()`

**Signature:**

```typescript
export type InterceptorOrKey = GenericInterceptorOrKey<InvocationContext>;
```
**References:** [GenericInterceptorOrKey](./context.genericinterceptororkey.md)<!-- -->, [InvocationContext](./context.invocationcontext.md)


